org.apache.pdfbox.pdmodel.interactive.digitalsignature.visible

## Class PDVisibleSigProperties

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.digitalsignature.visible.PDVisibleSigProperties

    public class PDVisibleSigProperties
    extends Object

This builder class is in order to create visible signature properties.

Author:
  Vakhtang Koroghlishvili

### Constructor Summary

Constructors
Constructor and Description
`PDVisibleSigProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `buildSignature()` start building of visible signature
`int` `getPage()` returns your page
`PDVisibleSignDesigner` `getPdVisibleSignature()` this method gets visible signature configuration object
`int` `getPreferredSize()` Gets the preferred signature size in bytes.
`String` `getSignatureReason()` gets reason of signing
`String` `getSignerLocation()` Gets signer locations
`String` `getSignerName()`
`InputStream` `getVisibleSignature()` returns visible signature configuration object
`boolean` `isVisualSignEnabled()` checks if we need to add visible signature
`PDVisibleSigProperties` `page(int page)` sets page number
`PDVisibleSigProperties` `preferredSize(int preferredSize)` Sets the preferred signature size in bytes.
`PDVisibleSigProperties` `setPdVisibleSignature(PDVisibleSignDesigner pdVisibleSignature)` Sets visible signature configuration Object
`void` `setVisibleSignature(InputStream visibleSignature)` sets configuration object of visible signature
`PDVisibleSigProperties` `signatureReason(String signatureReason)` sets reason of signing
`PDVisibleSigProperties` `signerLocation(String signerLocation)` Sets location
`PDVisibleSigProperties` `signerName(String signerName)` Sets signer name
`PDVisibleSigProperties` `visualSignEnabled(boolean visualSignEnabled)` sets visible signature to be added or not

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDVisibleSigProperties

    public PDVisibleSigProperties()

### Method Detail

#### buildSignature

    public void buildSignature()
                        throws IOException

start building of visible signature

Throws:
  `IOException` - if the output could not be written

#### getSignerName

    public String getSignerName()

Returns:
  - signer name

#### signerName

    public PDVisibleSigProperties signerName(String signerName)

Sets signer name

Parameters:
  `signerName` -
Returns:
  the visible signature properties.

#### getSignerLocation

    public String getSignerLocation()

Gets signer locations

Returns:
  - location

#### signerLocation

    public PDVisibleSigProperties signerLocation(String signerLocation)

Sets location

Parameters:
  `signerLocation` -
Returns:
  the visible signature properties.

#### getSignatureReason

    public String getSignatureReason()

gets reason of signing

Returns:
  the signing reason.

#### signatureReason

    public PDVisibleSigProperties signatureReason(String signatureReason)

sets reason of signing

Parameters:
  `signatureReason` -
Returns:
  the visible signature properties.

#### getPage

    public int getPage()

returns your page

Returns:
  the page number (1-based).

#### page

    public PDVisibleSigProperties page(int page)

sets page number

Parameters:
  `page` - page the signature should be placed on (1-based)
Returns:
  the visible signature properties.

#### getPreferredSize

    public int getPreferredSize()

Gets the preferred signature size in bytes.

Returns:
  the signature's preferred size. A return value of 0 means to use default.

#### preferredSize

    public PDVisibleSigProperties preferredSize(int preferredSize)

Sets the preferred signature size in bytes.

Parameters:
  `preferredSize` - The preferred signature size in bytes, or 0 to use default.
Returns:
  the visible signature properties.

#### isVisualSignEnabled

    public boolean isVisualSignEnabled()

checks if we need to add visible signature

Returns:
  state if visible signature is needed.

#### visualSignEnabled

    public PDVisibleSigProperties visualSignEnabled(boolean visualSignEnabled)

sets visible signature to be added or not

Parameters:
  `visualSignEnabled` -
Returns:
  the visible signature properties.

#### getPdVisibleSignature

    public PDVisibleSignDesigner getPdVisibleSignature()

this method gets visible signature configuration object

Returns:
  the visible signature configuration.

#### setPdVisibleSignature

    public PDVisibleSigProperties setPdVisibleSignature(PDVisibleSignDesigner pdVisibleSignature)

Sets visible signature configuration Object

Parameters:
  `pdVisibleSignature` -
Returns:
  the visible signature properties.

#### getVisibleSignature

    public InputStream getVisibleSignature()

returns visible signature configuration object

Returns:
  the input stream representing the visible signature.

#### setVisibleSignature

    public void setVisibleSignature(InputStream visibleSignature)

sets configuration object of visible signature

Parameters:
  `visibleSignature` -